<template>
  <div class="hint">
    <div class="hint-wrapper">
      <div
        class="priceBlock"
        v-if="entity.price || entity.sellerQuantity">
        <AppSellerPrice
          :discount="entity.discountCheck"
          :price="entity.price"
          :old-price="entity.oldPrice"/>
        <AppSellerQuantity
          v-if="entity.sellerQuantity"
          :in-stock="entity.inStock"
          :quantity="entity.quantity"
          :under-order="entity.deliveryString"/>
      </div>
      <div
        class="addressBlock"
        v-if="entity.address">
        <span>
          {{ entity.address }}
        </span>
      </div>
    </div>
  </div>
</template>

<script>
import AppSellerPrice from '~/components/redesign/seller/app-seller-price';
import AppSellerQuantity from '~/components/redesign/seller/app-seller-quantity';

export default {
  name: 'AppMapHint',
  components: {
    AppSellerQuantity,
    AppSellerPrice,
  },
  props: {
    entity: {
      type: Object,
      default() { return {}; },
    },
  },
};
</script>
